## org.eclipse.jst.jsf.context.symbol.source
Interface ISymbolSourceProviderFactory

All Known Implementing Classes:
  AbstractSymbolSourceProviderFactory

    public interface ISymbolSourceProviderFactory

Implemented by extensions wishing to use symbolSourceProvider extension point to contribute designtime symbols to the JSF symbol resolver framework. Instance factory class must implement a zero-argument default constructor

Provisional API - subject to change

Method Summary
`ISymbolSourceProvider` `createInstance(IProject project)`

Method Detail

### createInstance

    ISymbolSourceProvider createInstance(IProject project)

  Parameters:
    `project` -
  Returns:
    a new instance of a symbol source provider for project